*{
	margin: 0;
	padding: 0;
	font-family: Gotham, 'Helvetica Neue', Helvetica, Arial, 'sans-serif';
	box-sizing: border-box;
}
html{
    scroll-behavior:smooth;
}

body{
	padding-top: 90px;
	color:#000000;
	margin: 0;
	height: 100%;
	position: relative;
    background-image: url("images/CLMbackground_nograd.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
}
#header{
	width: 100%;

	
}
.headcontainer{
	padding: 0px 0%;
	
	
}
.logo{
    width: 140px;
}


nav{
	z-index: 9999;
	width: 100%;
	top: 0;
	position: fixed;
	display: flex;
	align-items: center;
	justify-content:space-around;
	flex-wrap: wrap;
	background: #FFFFFF;
	
}

nav ul.ulhead li{
	display:inline-block;
	list-style: none;
	margin: 10px 20px;	
}
nav ul.ulhead li a{
	color: black;
	text-decoration: none;
	font-size: 30px;
	position: relative;
}
nav ul.ulhead li a::after{
	content: '';
	width: 0%;
	height: 80%;
	background: #F88BE2;
	position:absolute;
	left: 0;
	bottom: -50%;
	transition: 0.3s;
	transition-timing-function: cubic-bezier(0.90, 0.00, 0.13, 1.00);
	border-radius: 200px;
}
nav ul.ulhead li a:hover::after{
	
	height: 5%;
	width: 100%;
	z-index: 0001;
	bottom: -10%;
	border-radius: 15px;
}

.home{
    display: block;
    flex-direction: column;
    margin: 0 auto;
    justify-content:space-around;
}

/* --------------------------------------------REEL---------------------------------- */

@keyframes reelin{
    from{
        transform: translateY(100%);
    }
    to{
        transform: translateY(0%);
    }
}




.video-js {
    width: 80%;
    min-width: 375px;
    max-width: 1300px;
    display: block;
    margin: 0 auto;
    margin-bottom: 10vh;
    margin-top: 10vh;
    transform: translateY(100%);
    animation: reelin 1s cubic-bezier(0.00, 0.74, 0.10, 1.16) forwards;
    border: 10px solid #FFFFFF;
    box-shadow: 0 0 30px 3px rgba(248,139,226,0.3);
}



/* --------------------------------------------ABOUT---------------------------------- */
#about {
    position: relative;
    width: 100%;
    background-color: #F88BE2;
    display: flex;
    flex-direction: row;
    padding: 20px;
    box-sizing: border-box;
    justify-content: space-between; /* Ensures proper spacing between columns */
}

.aboutcontainer {
    position: relative;
    width: 100%;
    display: flex;
    margin: 0 auto;
    justify-content: center;
    padding: 100px;
    max-width: 100%;
    box-sizing: border-box;
}
.aboutrow{
    position: relative;
    width: 100%;
    display: flex;
    margin: 0 auto;
    justify-content: center;
    flex-direction: row;
    padding: 0px;
    max-width: 100%;
    box-sizing: border-box;
    
}

#about-col-1 {
    width: 20%;
    display: flex;
    align-items: center; /* Align items vertically within the column */
}

#about-col-1 img {
    max-width: 100%;
    height: auto;
}

#about-col-2 {
    width: 40%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 3em;
    background-color: white;
    border-radius: 15px;
    box-sizing: border-box;
}

#about-col-3 {
    width: 20%;
    display: flex;
    align-items: center; /* Ensures alignment of any content within the column */
}
model-viewer {
	width: 30vh;
	height: 30vh;
	max-width: 35vh;
	top: 0px;
	left:0px;
	border-radius: 15px;
} 
.title{
	font-size: 300%;
    margin-bottom: 20px;
}
.bodytext{
	font-size: 110%;
	font-weight:323;
}
/* --------------------------------------------WORK---------------------------------- */
#work{
    position: absolute; 
    width: 100%; 
    margin: 0 auto;
    }
.workcontainer{
	position: relative; 
    width: 100%; 
	height: 100%;
    background-color: black;
    margin: 0 auto;
}
.worktitle{
	width: 100%;
	background-color: black;
	color: white;
	overflow: hidden;
	text-overflow: clip;
}
.workgallery{
    position: relative;
    width: 100%;
    left: 0%;
    box-sizing: border-box;
    font-family: Gotham, 'Helvetica Neue', Helvetica, Arial, 'sans-serif';
    margin: 0;
    padding: 1rem;
    min-height: 10vh;
}
img.gimage {
    width: 100%;
    display: block;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    transition: transform 1000ms;
}
ul.gul {
    list-style: none;
    margin: 0 auto;
    padding: 0;
    display: grid;
    gap: 0.5rem;
    grid-template-columns: repeat( auto-fit, minmax(150px, 2fr) );
    max-width: 100%;
    width: 170rem;
}
figure {
    margin: 0;
    position: relative;
    overflow: hidden;
    border-radius: 15px;
}
figure::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 200%;
    height: 200%;
    background: #F88BE2;
    transform-origin: center;
    opacity: 0;
    transform: scale(2);
    transition-timing-function: cubic-bezier(0.90, 0.00, 0.13, 1.00);
}
figcaption {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: left;
    align-items: left;
    text-align: left;
    color: black;
    font-size: 2em;
    padding-top: 10%;
    z-index: 1;
    transition: transform 300ms;
    transition-timing-function: cubic-bezier(0.90, 0.00, 0.13, 1.00);
}

a:is(:hover, :focus) figure::after {
    left: 0;
}

@media (prefers-reduced-motion: no-preference) {
    
    figcaption {
        transform: translate3d(0, 100%, 0);
    }
    figure::after {
        top: 115%;
        opacity: 1;
        height: 200%;
        transform: scale(1);
        transition: transform 300ms;
        transition-timing-function: cubic-bezier(0.90, 0.00, 0.13, 1.00);
    }
    a:is(:hover, :focus) figure::after {        
        transform: scale(1.5);
        height: 200%;
        top: 115%;
    }
    a:is(:hover, :focus) figcaption {
        transform: translate3d(0, 55%, 0);
        transition: opacity 300ms, transform 300ms;
        transition-timing-function: cubic-bezier(0.90, 0.00, 0.13, 1.00);
    }
    a:is(:hover, :focus) img {
        transform: scale(1.2);
        opacity: 0.9;
    }    
}

/*------------------rescale for half-------------*/
@media (max-width: 1100px){
    

    .logo{
        width: 90px;
    }
    nav ul.ulhead li a{
        color: black;	
        font-size: 18px;
    }
    nav ul.ulhead li{
        display:inline-block;
        list-style: none;
        margin: 8px 10px;	
    }
    
   .video-js {
       width: 95%;
       min-width: 375px;
       max-width: 1300px;
       display: block;
       margin: 0 auto;
       border: 4px solid #FFFFFF;
       margin-top: 8vh;
       margin-bottom: 5vh;
    }
    
    
   .aboutcontainer{
        padding: 0px;
    }
    
    .aboutrow{
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: column;
    margin: 1vh auto;
    justify-content: center;
    padding: 0px;
    max-width: 100%;
    box-sizing: border-box;
    
}
    
    .title{
	font-size: 200%;
    margin-bottom: 10px;
}

#about-col-1 {
    width: 50%;
    display: flex;
    align-items: center; /* Align items vertically within the column */
}

#about-col-1 img {
    max-width: 100%;
    height: auto;
}

#about-col-2 {
    width: 90%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 3em;
    background-color: white;
    border-radius: 15px;
    box-sizing: border-box;
}

#about-col-3 {
    width: 20%;
    display: flex;
    align-items: center; /* Ensures alignment of any content within the column */
}
model-viewer {
	width: 30vh;
	height: 30vh;
	max-width: 35vh;
	top: 0px;
	left:0px;
	border-radius: 15px;
} 
    
    
    
    #work{
    position: relative; 
    width: 100%; 
    margin: 0 auto;
    }
    
    .workgallery{
    position: relative;
    width: 100%;
    left: 0%;
    box-sizing: border-box;
    margin: 0;
    padding: 1rem;
    min-height: 10vh;
    }
    figcaption {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: left;
    align-items: left;
    text-align: left;
    color: black;
    font-size: 1.5em;
    padding-top: 8%;
    z-index: 1;
    transition: transform 300ms;
    transition-timing-function: cubic-bezier(0.90, 0.00, 0.13, 1.00);
}
    
}

/*------------------rescale for height-------------*/

@media (max-height: 1000px){
    
    
}
